Skip to content

Media Resource Tags Endpoints

Media Resource Tags API endpoints.


Overview

Method Endpoint Description
GET /api/v1/media-resources/{media_resource_id}/tags/ Get Media Resource Tags
POST /api/v1/media-resources/{media_resource_id}/tags/ Assign Media Resource Tags
PUT /api/v1/media-resources/{media_resource_id}/tags/ Set Media Resource Tags
DELETE /api/v1/media-resources/{media_resource_id}/tags/ Remove Media Resource Tags

API Reference

Sartiq Backend Server - Media Resource Tags 0.1.0

media-resource-tags


GET /api/v1/media-resources/{media_resource_id}/tags/

Get Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No

Responses

{
    "tags": [
        {
            "id": "0801284e-8b7d-4481-b954-37b13d99fc0b",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "b4aa5f1b-1565-4f55-9b27-fddacfc14aad",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/media-resources/{media_resource_id}/tags/

Assign Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "a030e891-cfad-4758-be26-c3c15f169c27"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "211d302e-e937-4a78-8522-f016193495d1",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "398614a1-616b-4dc1-8dae-a1748156bdce",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/media-resources/{media_resource_id}/tags/

Set Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "91095942-7a57-4744-86f9-68bfb6c12822"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "23c4207c-a2ba-4630-8983-20ffceba788e",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "256abd24-cf76-4677-a3b5-80cc0003ef4f",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/media-resources/{media_resource_id}/tags/

Remove Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "b58778db-cffd-4480-bcc0-495b38e7b3b8"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "ef8ca035-2ff0-47c8-94cc-98a167eef459",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "21275bcf-d5e9-4170-8959-6a7ac5165507",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

MediaResourceTagAssign

Name Type Description
tag_ids Array<string(uuid)>

MediaResourceTagsPublic

Name Type Description
tags Array<TagPublic>

TagPublic

Name Type Description
color
created_at string(date-time)
description
id string(uuid)
name string
organization_id
owner_id string(uuid)
updated_at string(date-time)

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2